package SmallRNA::DB::BiosamplePipedata;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::BiosamplePipedata

=cut

__PACKAGE__->table("biosample_pipedata");

=head1 ACCESSORS

=head2 biosample_pipedata_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'biosample_pipedata_biosample_pipedata_id_seq'

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 biosample

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 pipedata

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "biosample_pipedata_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "biosample_pipedata_biosample_pipedata_id_seq",
  },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "biosample",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "pipedata",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("biosample_pipedata_id");

=head1 RELATIONS

=head2 biosample

Type: belongs_to

Related object: L<SmallRNA::DB::Biosample>

=cut

__PACKAGE__->belongs_to(
  "biosample",
  "SmallRNA::DB::Biosample",
  { biosample_id => "biosample" },
);

=head2 pipedata

Type: belongs_to

Related object: L<SmallRNA::DB::Pipedata>

=cut

__PACKAGE__->belongs_to(
  "pipedata",
  "SmallRNA::DB::Pipedata",
  { pipedata_id => "pipedata" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 01:11:37
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:ec8l6NKRz/14j7GWQnghcA

1;
