package SmallRNA::DB::BiosamplePipeproject;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::BiosamplePipeproject

=cut

__PACKAGE__->table("biosample_pipeproject");

=head1 ACCESSORS

=head2 biosample_pipeproject_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'biosample_pipeproject_biosample_pipeproject_id_seq'

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 biosample

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 pipeproject

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "biosample_pipeproject_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "biosample_pipeproject_biosample_pipeproject_id_seq",
  },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "biosample",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "pipeproject",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("biosample_pipeproject_id");
__PACKAGE__->add_unique_constraint(
  "biosample_pipeproject_constraint",
  ["biosample", "pipeproject"],
);

=head1 RELATIONS

=head2 pipeproject

Type: belongs_to

Related object: L<SmallRNA::DB::Pipeproject>

=cut

__PACKAGE__->belongs_to(
  "pipeproject",
  "SmallRNA::DB::Pipeproject",
  { pipeproject_id => "pipeproject" },
);

=head2 biosample

Type: belongs_to

Related object: L<SmallRNA::DB::Biosample>

=cut

__PACKAGE__->belongs_to(
  "biosample",
  "SmallRNA::DB::Biosample",
  { biosample_id => "biosample" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 01:11:37
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:sYdS34Y5q6VrD1jDk1bzhA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
