package SmallRNA::DB::BarcodeSet;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::BarcodeSet

=cut

__PACKAGE__->table("barcode_set");

=head1 ACCESSORS

=head2 barcode_set_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'barcode_set_barcode_set_id_seq'

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 position_in_read

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 name

  data_type: 'text'
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "barcode_set_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "barcode_set_barcode_set_id_seq",
  },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "position_in_read",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "name",
  { data_type => "text", is_nullable => 0 },
);
__PACKAGE__->set_primary_key("barcode_set_id");
__PACKAGE__->add_unique_constraint("barcode_set_name_key", ["name"]);

=head1 RELATIONS

=head2 barcodes

Type: has_many

Related object: L<SmallRNA::DB::Barcode>

=cut

__PACKAGE__->has_many(
  "barcodes",
  "SmallRNA::DB::Barcode",
  { "foreign.barcode_set" => "self.barcode_set_id" },
  {},
);

=head2 position_in_read

Type: belongs_to

Related object: L<SmallRNA::DB::Cvterm>

=cut

__PACKAGE__->belongs_to(
  "position_in_read",
  "SmallRNA::DB::Cvterm",
  { cvterm_id => "position_in_read" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 01:11:37
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:Qlyxe7iKh8XVaU71eZA8Ww


# You can replace this text with custom content, and it will be preserved on regeneration
1;
