package SmallRNA::DB::BiosampleDbxref;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::BiosampleDbxref

=cut

__PACKAGE__->table("biosample_dbxref");

=head1 ACCESSORS

=head2 biosample_dbxref_id

  data_type: 'integer'
  is_nullable: 0

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 biosample_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 dbxref_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "biosample_dbxref_id",
  { data_type => "integer", is_nullable => 0 },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "biosample_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "dbxref_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);

=head1 RELATIONS

=head2 biosample

Type: belongs_to

Related object: L<SmallRNA::DB::Biosample>

=cut

__PACKAGE__->belongs_to(
  "biosample",
  "SmallRNA::DB::Biosample",
  { biosample_id => "biosample_id" },
);

=head2 dbxref

Type: belongs_to

Related object: L<SmallRNA::DB::Dbxref>

=cut

__PACKAGE__->belongs_to("dbxref", "SmallRNA::DB::Dbxref", { dbxref_id => "dbxref_id" });


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 01:11:37
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:yBXT6TfevRVdbPsyHYmkyA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
