package SmallRNA::DB::BiosampleEcotype;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::BiosampleEcotype

=cut

__PACKAGE__->table("biosample_ecotype");

=head1 ACCESSORS

=head2 biosample_ecotype_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'biosample_ecotype_biosample_ecotype_id_seq'

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 biosample

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 ecotype

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "biosample_ecotype_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "biosample_ecotype_biosample_ecotype_id_seq",
  },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "biosample",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "ecotype",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("biosample_ecotype_id");
__PACKAGE__->add_unique_constraint("biosample_ecotype_constraint", ["biosample", "ecotype"]);

=head1 RELATIONS

=head2 biosample

Type: belongs_to

Related object: L<SmallRNA::DB::Biosample>

=cut

__PACKAGE__->belongs_to(
  "biosample",
  "SmallRNA::DB::Biosample",
  { biosample_id => "biosample" },
);

=head2 ecotype

Type: belongs_to

Related object: L<SmallRNA::DB::Ecotype>

=cut

__PACKAGE__->belongs_to(
  "ecotype",
  "SmallRNA::DB::Ecotype",
  { ecotype_id => "ecotype" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 01:11:37
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:0V/g6q/k+2TZrslIj48h8w


# You can replace this text with custom content, and it will be preserved on regeneration
1;
