package SmallRNA::DB::LibrarySequencingSample;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::LibrarySequencingSample

=cut

__PACKAGE__->table("library_sequencing_sample");

=head1 ACCESSORS

=head2 library_sequencing_sample_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'library_sequencing_sample_library_sequencing_sample_id_seq'

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 library

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 sequencing_sample

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "library_sequencing_sample_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "library_sequencing_sample_library_sequencing_sample_id_seq",
  },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "library",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "sequencing_sample",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("library_sequencing_sample_id");
__PACKAGE__->add_unique_constraint(
  "library_sequencing_sample_constraint",
  ["library", "sequencing_sample"],
);

=head1 RELATIONS

=head2 sequencing_sample

Type: belongs_to

Related object: L<SmallRNA::DB::SequencingSample>

=cut

__PACKAGE__->belongs_to(
  "sequencing_sample",
  "SmallRNA::DB::SequencingSample",
  { sequencing_sample_id => "sequencing_sample" },
);

=head2 library

Type: belongs_to

Related object: L<SmallRNA::DB::Library>

=cut

__PACKAGE__->belongs_to(
  "library",
  "SmallRNA::DB::Library",
  { library_id => "library" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 16:03:50
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:Xr6BGfkJC1J+LKYBTzOgdA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
