package SmallRNA::DB::PipeprocessInPipedata;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::PipeprocessInPipedata - Join table containing the input pipedatas for a pipeprocess

=cut

__PACKAGE__->table("pipeprocess_in_pipedata");

=head1 ACCESSORS

=head2 pipeprocess_in_pipedata_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'pipeprocess_in_pipedata_pipeprocess_in_pipedata_id_seq'

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 pipeprocess

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 1

=head2 pipedata

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "pipeprocess_in_pipedata_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "pipeprocess_in_pipedata_pipeprocess_in_pipedata_id_seq",
  },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "pipeprocess",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 1 },
  "pipedata",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 1 },
);
__PACKAGE__->set_primary_key("pipeprocess_in_pipedata_id");
__PACKAGE__->add_unique_constraint("pipeprocess_in_pk_constraint", ["pipeprocess", "pipedata"]);

=head1 RELATIONS

=head2 pipeprocess

Type: belongs_to

Related object: L<SmallRNA::DB::Pipeprocess>

=cut

__PACKAGE__->belongs_to(
  "pipeprocess",
  "SmallRNA::DB::Pipeprocess",
  { pipeprocess_id => "pipeprocess" },
);

=head2 pipedata

Type: belongs_to

Related object: L<SmallRNA::DB::Pipedata>

=cut

__PACKAGE__->belongs_to(
  "pipedata",
  "SmallRNA::DB::Pipedata",
  { pipedata_id => "pipedata" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 01:11:37
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:T1CflNdam/dkovAuWplTig

1;
