package SmallRNA::DB::PipeprocessPub;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::PipeprocessPub

=cut

__PACKAGE__->table("pipeprocess_pub");

=head1 ACCESSORS

=head2 pipeprocess_pub_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'pipeprocess_pub_pipeprocess_pub_id_seq'

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 pipeprocess_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 pub_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "pipeprocess_pub_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "pipeprocess_pub_pipeprocess_pub_id_seq",
  },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "pipeprocess_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "pub_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("pipeprocess_pub_id");

=head1 RELATIONS

=head2 pipeprocess

Type: belongs_to

Related object: L<SmallRNA::DB::Pipeprocess>

=cut

__PACKAGE__->belongs_to(
  "pipeprocess",
  "SmallRNA::DB::Pipeprocess",
  { pipeprocess_id => "pipeprocess_id" },
);

=head2 pub

Type: belongs_to

Related object: L<SmallRNA::DB::Pub>

=cut

__PACKAGE__->belongs_to("pub", "SmallRNA::DB::Pub", { pub_id => "pub_id" });


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 01:11:37
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:63uHTF5WkyWknwHuTvZYXA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
