package SmallRNA::DB::Pipeproject;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::Pipeproject

=cut

__PACKAGE__->table("pipeproject");

=head1 ACCESSORS

=head2 pipeproject_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'pipeproject_pipeproject_id_seq'

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 identifier

  data_type: 'text'
  is_nullable: 0

=head2 description

  data_type: 'text'
  is_nullable: 1

=head2 owner

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 funder

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "pipeproject_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "pipeproject_pipeproject_id_seq",
  },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "identifier",
  { data_type => "text", is_nullable => 0 },
  "description",
  { data_type => "text", is_nullable => 1 },
  "owner",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "funder",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 1 },
);
__PACKAGE__->set_primary_key("pipeproject_id");

=head1 RELATIONS

=head2 biosample_pipeprojects

Type: has_many

Related object: L<SmallRNA::DB::BiosamplePipeproject>

=cut

__PACKAGE__->has_many(
  "biosample_pipeprojects",
  "SmallRNA::DB::BiosamplePipeproject",
  { "foreign.pipeproject" => "self.pipeproject_id" },
  {},
);

=head2 owner

Type: belongs_to

Related object: L<SmallRNA::DB::Person>

=cut

__PACKAGE__->belongs_to("owner", "SmallRNA::DB::Person", { person_id => "owner" });

=head2 funder

Type: belongs_to

Related object: L<SmallRNA::DB::Organisation>

=cut

__PACKAGE__->belongs_to(
  "funder",
  "SmallRNA::DB::Organisation",
  { organisation_id => "funder" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 01:11:37
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:jEVlRDH/c+bQxfrzBNKP1A

__PACKAGE__->many_to_many('biosamples' => 'biosample_pipeprojects', 'biosample');

# You can replace this text with custom content, and it will be preserved on regeneration
1;
