package SmallRNA::DB::SequencingRun;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::SequencingRun

=cut

__PACKAGE__->table("sequencing_run");

=head1 ACCESSORS

=head2 sequencing_run_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'sequencing_run_sequencing_run_id_seq'

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 identifier

  data_type: 'text'
  is_nullable: 0

=head2 sequencing_sample

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 initial_pipedata

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 1

=head2 sequencing_centre

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 initial_pipeprocess

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 1

=head2 submission_date

  data_type: 'date'
  is_nullable: 1

=head2 run_date

  data_type: 'date'
  is_nullable: 1

=head2 data_received_date

  data_type: 'date'
  is_nullable: 1

=head2 quality

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 sequencing_type

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "sequencing_run_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "sequencing_run_sequencing_run_id_seq",
  },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "identifier",
  { data_type => "text", is_nullable => 0 },
  "sequencing_sample",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "initial_pipedata",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 1 },
  "sequencing_centre",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "initial_pipeprocess",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 1 },
  "submission_date",
  { data_type => "date", is_nullable => 1 },
  "run_date",
  { data_type => "date", is_nullable => 1 },
  "data_received_date",
  { data_type => "date", is_nullable => 1 },
  "quality",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "sequencing_type",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("sequencing_run_id");
__PACKAGE__->add_unique_constraint("sequencing_run_identifier_key", ["identifier"]);

=head1 RELATIONS

=head2 sequencing_sample

Type: belongs_to

Related object: L<SmallRNA::DB::SequencingSample>

=cut

__PACKAGE__->belongs_to(
  "sequencing_sample",
  "SmallRNA::DB::SequencingSample",
  { sequencing_sample_id => "sequencing_sample" },
);

=head2 quality

Type: belongs_to

Related object: L<SmallRNA::DB::Cvterm>

=cut

__PACKAGE__->belongs_to("quality", "SmallRNA::DB::Cvterm", { cvterm_id => "quality" });

=head2 sequencing_centre

Type: belongs_to

Related object: L<SmallRNA::DB::Organisation>

=cut

__PACKAGE__->belongs_to(
  "sequencing_centre",
  "SmallRNA::DB::Organisation",
  { organisation_id => "sequencing_centre" },
);

=head2 initial_pipeprocess

Type: belongs_to

Related object: L<SmallRNA::DB::Pipeprocess>

=cut

__PACKAGE__->belongs_to(
  "initial_pipeprocess",
  "SmallRNA::DB::Pipeprocess",
  { pipeprocess_id => "initial_pipeprocess" },
);

=head2 initial_pipedata

Type: belongs_to

Related object: L<SmallRNA::DB::Pipedata>

=cut

__PACKAGE__->belongs_to(
  "initial_pipedata",
  "SmallRNA::DB::Pipedata",
  { pipedata_id => "initial_pipedata" },
);

=head2 sequencing_type

Type: belongs_to

Related object: L<SmallRNA::DB::Cvterm>

=cut

__PACKAGE__->belongs_to(
  "sequencing_type",
  "SmallRNA::DB::Cvterm",
  { cvterm_id => "sequencing_type" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 01:11:38
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:0I9BMBxoxe8N+9Y5h/1/Yw


# You can replace this text with custom content, and it will be preserved on regeneration
1;
