package SmallRNA::DB::Tissue;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

SmallRNA::DB::Tissue

=cut

__PACKAGE__->table("tissue");

=head1 ACCESSORS

=head2 tissue_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'tissue_tissue_id_seq'

=head2 created_stamp

  data_type: 'timestamp'
  default_value: current_timestamp
  is_nullable: 0
  original: {default_value => \"now()"}

=head2 organism

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 description

  data_type: 'text'
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "tissue_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "tissue_tissue_id_seq",
  },
  "created_stamp",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 0,
    original      => { default_value => \"now()" },
  },
  "organism",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "description",
  { data_type => "text", is_nullable => 1 },
);
__PACKAGE__->set_primary_key("tissue_id");

=head1 RELATIONS

=head2 biosamples

Type: has_many

Related object: L<SmallRNA::DB::Biosample>

=cut

__PACKAGE__->has_many(
  "biosamples",
  "SmallRNA::DB::Biosample",
  { "foreign.tissue" => "self.tissue_id" },
  {},
);

=head2 organism

Type: belongs_to

Related object: L<SmallRNA::DB::Organism>

=cut

__PACKAGE__->belongs_to(
  "organism",
  "SmallRNA::DB::Organism",
  { organism_id => "organism" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-01 07:58:46
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:+Z5LZk42ProcSs4/SprfQg


# You can replace this text with custom content, and it will be preserved on regeneration
1;
